import { html as n } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, g = Object.getOwnPropertyDescriptor, p = (c, r, o, t) => {
  for (var e = t > 1 ? void 0 : t ? g(r, o) : r, a = c.length - 1, i; a >= 0; a--)
    (i = c[a]) && (e = (t ? i(r, o, e) : i(e)) || e);
  return t && e && m(r, o, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--shareLarge", this.class = "c-pieIcon c-pieIcon--shareLarge", this.name = "IconShareLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--shareLarge"><path d="M23.5 18.25a3.75 3.75 0 0 0-3.165 1.755L12.13 16.9q.111-.444.12-.9a4 4 0 0 0-.12-.9l8.205-3.105A3.75 3.75 0 1 0 19.75 10q.008.298.06.592L11.5 13.75a3.749 3.749 0 1 0 0 4.5l8.333 3.15q-.066.296-.083.6a3.75 3.75 0 1 0 3.75-3.75m0-10.5a2.25 2.25 0 1 1 0 4.5 2.25 2.25 0 0 1 0-4.5m-15 10.5a2.25 2.25 0 1 1 0-4.5 2.25 2.25 0 0 1 0 4.5m15 6a2.25 2.25 0 1 1 0-4.5 2.25 2.25 0 0 1 0 4.5"></path></svg>`;
  }
};
p([
  l({ type: String, reflect: !0 })
], s.prototype, "size", 2);
p([
  l({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = p([
  f("icon-share-large")
], s);
export {
  s as IconShareLarge
};
